Bug 444571 - Openoffice calc crash
Openoffice calc crash
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
9
i386 Linux
low Severity low
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-29 04:26 EDT by antonio montagnani
Modified: 2008-07-31 21:13 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.4.1-17.3.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-11 00:39:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
file to be tested (37.50 KB, application/vnd.ms-excel)
2008-04-29 04:26 EDT, antonio montagnani
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 88894 None None None Never

  None (edit)
Description antonio montagnani 2008-04-29 04:26:47 EDT
Description of problem:
When opening a file from M$Office

Version-Release number of selected component (if applicable):
openoffice.org-calc-2.4.0-12.6.fc9.i386

How reproducible:
always

Steps to Reproduce:
1.open file (see attachment)
2.
3.
  
Actual results:
(I)    x.org loaded video driver of...
(II) Loading /usr/lib/xorg/modules/drivers//intel_drv.so
(II) Loading /usr/lib/xorg/modules/drivers//intel_master_drv.so
(==) Depth 24 pixmap format is 32 bpp
(III)  Desktop is: GNOME
(IV)   openoffice.org-kde version is: il pacchetto openoffice.org-kde non รจ
stato installato
(V)    libgcj version is: libgcj-4.3.0-6-i386 libgcj-4.3.0-7-i386
(IV)   kernel is: Linux 2.6.25-8.fc9.i686 #1 SMP Wed Apr 23 03:56:19 EDT 2008
i686 i686 i386
(VII)  OpenOffice.org core rpm version is: openoffice.org-core-2.4.0-12.6.fc9-i386
(VIII) accessibility is: false
(VIV)  fedora release is: Fedora release 9 (Rawhide)
(VV)   LANG is: it_IT.UTF-8
...start free space details ...
Filesystem        blocchi di   1K   Usati Disponib. Uso% Montato su
/dev/mapper/VolGroup00-LogVol00
                      35645048  13326468  20478660  40% /
/dev/mapper/VolGroup00-LogVol00
                      35645048  13326468  20478660  40% /
...end free space details ...
...start sestatus details ...
SELinux status:                 disabled
...end sestatus details ...
...start stackreport details ...
0x45ef3e8: 0x1c4c7c: /usr/lib/openoffice.org/program/libuno_sal.so.3 + 0x253e8
0x45efd23: 0x1c4c7c: /usr/lib/openoffice.org/program/libuno_sal.so.3 + 0x25d23
0x110400: 0x0:  + 0x400 (__kernel_sigreturn + 0x0)
0x261784f: 0xd6d74: /usr/lib/openoffice.org/program/libchartview680li.so + 0x7f84f
0x2617ea8: 0xd6d74: /usr/lib/openoffice.org/program/libchartview680li.so +
0x7fea8
(chart::Clipping::clipPolygonAtRectangle(com::sun::star::drawing::PolyPolygonShape3D
const&, basegfx::B2DRange const&, com::sun::star::drawing::PolyPolygonShape3D&,
bool) + 0x634)
0x25f8ff1: 0xd6d74: /usr/lib/openoffice.org/program/libchartview680li.so +
0x60ff1 (chart::AreaChart::impl_createLine(chart::VDataSeries*,
com::sun::star::drawing::PolyPolygonShape3D*, chart::PlottingPositionHelper*) +
0x279)
0x25f9542: 0xd6d74: /usr/lib/openoffice.org/program/libchartview680li.so +
0x61542 (chart::AreaChart::impl_createSeriesShapes() + 0x150)
0x25fac11: 0xd6d74: /usr/lib/openoffice.org/program/libchartview680li.so +
0x62c11 (chart::AreaChart::createShapes() + 0x1655)
0x262a205: 0xd6d74: /usr/lib/openoffice.org/program/libchartview680li.so +
0x92205
(chart::ChartView::impl_createDiagramAndContent(chart::SeriesPlotterContainer&,
com::sun::star::uno::Reference<com::sun::star::drawing::XShapes> const&,
com::sun::star::awt::Point const&, com::sun::star::awt::Size const&,
com::sun::star::awt::Size const&) + 0x6d1)
0x262af8f: 0xd6d74: /usr/lib/openoffice.org/program/libchartview680li.so +
0x92f8f (chart::ChartView::createShapes() + 0x9f5)
0x262b30b: 0xd6d74: /usr/lib/openoffice.org/program/libchartview680li.so +
0x9330b (chart::ChartView::impl_updateView() + 0xfd)
0x262b77c: 0xd6d74: /usr/lib/openoffice.org/program/libchartview680li.so +
0x9377c
(chart::ChartView::getExplicitValuesForAxis(com::sun::star::uno::Reference<com::sun::star::chart2::XAxis>,
com::sun::star::chart2::ExplicitScaleData&,
com::sun::star::chart2::ExplicitIncrementData&) + 0x1e)
0x23a97c4: 0x1d9740: /usr/lib/openoffice.org/program/libchartcontroller680li.so
+ 0xe37c4
0x23d8364: 0x1d9740: /usr/lib/openoffice.org/program/libchartcontroller680li.so
+ 0x112364
0x23d882b: 0x1d9740: /usr/lib/openoffice.org/program/libchartcontroller680li.so
+ 0x11282b
0x22437ca: 0x108774: /usr/lib/openoffice.org/program/libcharttools680li.so +
0x897ca
(chart::WrappedProperty::getPropertyState(com::sun::star::uno::Reference<com::sun::star::beans::XPropertyState>
const&) const + 0x16a)
0x2241ada: 0x108774: /usr/lib/openoffice.org/program/libcharttools680li.so +
0x87ada (chart::WrappedPropertySet::getPropertyState(rtl::OUString const&) + 0x4c)
0x224231e: 0x108774: /usr/lib/openoffice.org/program/libcharttools680li.so +
0x8831e
(chart::WrappedPropertySet::getPropertyStates(com::sun::star::uno::Sequence<rtl::OUString>
const&) + 0x116)
0x6b83b5f: 0x38ca40: /usr/lib/openoffice.org/program/libxo680li.so + 0xaab5f
0x6b84577: 0x38ca40: /usr/lib/openoffice.org/program/libxo680li.so + 0xab577
(SvXMLExportPropertyMapper::_Filter(com::sun::star::uno::Reference<com::sun::star::beans::XPropertySet>,
unsigned char) const + 0x41f)
0x6be8e22: 0x38ca40: /usr/lib/openoffice.org/program/libxo680li.so + 0x10fe22
0x6cae8e3: 0x38ca40: /usr/lib/openoffice.org/program/libxo680li.so + 0x1d58e3
0x6cb1035: 0x38ca40: /usr/lib/openoffice.org/program/libxo680li.so + 0x1d8035
0x6cb394d: 0x38ca40: /usr/lib/openoffice.org/program/libxo680li.so + 0x1da94d
0x6cb42b1: 0x38ca40: /usr/lib/openoffice.org/program/libxo680li.so + 0x1db2b1
(SchXMLExportHelper::collectAutoStyles(com::sun::star::uno::Reference<com::sun::star::chart::XChartDocument>)
+ 0x15)
0x6cb4422: 0x38ca40: /usr/lib/openoffice.org/program/libxo680li.so + 0x1db422
0x6b3c168: 0x38ca40: /usr/lib/openoffice.org/program/libxo680li.so + 0x63168
0x6b3cce1: 0x38ca40: /usr/lib/openoffice.org/program/libxo680li.so + 0x63ce1
(SvXMLExport::exportDoc(xmloff::token::XMLTokenEnum) + 0x803)
0x6caa752: 0x38ca40: /usr/lib/openoffice.org/program/libxo680li.so + 0x1d1752
0x6b3d243: 0x38ca40: /usr/lib/openoffice.org/program/libxo680li.so + 0x64243
(SvXMLExport::filter(com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue>
const&) + 0x107)
0x2163ae6: 0xd5194: /usr/lib/openoffice.org/program/libchartmodel680li.so + 0x80ae6
0x2164b93: 0xd5194: /usr/lib/openoffice.org/program/libchartmodel680li.so + 0x81b93
0x21665e1: 0xd5194: /usr/lib/openoffice.org/program/libchartmodel680li.so + 0x835e1
0x21163c8: 0xd5194: /usr/lib/openoffice.org/program/libchartmodel680li.so + 0x333c8
0x2116634: 0xd5194: /usr/lib/openoffice.org/program/libchartmodel680li.so + 0x33634
0x20ae998: 0x529b0: /usr/lib/openoffice.org/program/libembobj.so + 0x20998
(OCommonEmbeddedObject::StoreDocToStorage_Impl(com::sun::star::uno::Reference<com::sun::star::embed::XStorage>
const&, long, rtl::OUString const&, rtl::OUString const&, unsigned char) + 0x2fc)
0x20af05f: 0x529b0: /usr/lib/openoffice.org/program/libembobj.so + 0x2105f
(OCommonEmbeddedObject::storeOwn() + 0x3f1)
0xae53659d: 0x9c2ea0: /usr/lib/openoffice.org/program/libsc680li.so + 0x55d59d
0xae53a4f6: 0x9c2ea0: /usr/lib/openoffice.org/program/libsc680li.so + 0x5614f6
0xae53a644: 0x9c2ea0: /usr/lib/openoffice.org/program/libsc680li.so + 0x561644
0xae4b25b0: 0x9c2ea0: /usr/lib/openoffice.org/program/libsc680li.so + 0x4d95b0
0xae4aa447: 0x9c2ea0: /usr/lib/openoffice.org/program/libsc680li.so + 0x4d1447
0xae4b8318: 0x9c2ea0: /usr/lib/openoffice.org/program/libsc680li.so + 0x4df318
0xae4a2dec: 0x9c2ea0: /usr/lib/openoffice.org/program/libsc680li.so + 0x4c9dec
0xae121018: 0x9c2ea0: /usr/lib/openoffice.org/program/libsc680li.so + 0x148018
(ScDocShell::ConvertFrom(SfxMedium&) + 0x562)
0x6881a0f: 0x37a7e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x12ca0f
(SfxObjectShell::DoLoad(SfxMedium*) + 0x1425)
0x68bc43e: 0x37a7e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x16743e
(SfxBaseModel::load(com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue>
const&) + 0x1d0)
0x68dc0d9: 0x37a7e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1870d9
0x75c26a0: 0x25488c: /usr/lib/openoffice.org/program/libfwk680li.so + 0xf46a0
0x75c2ffd: 0x25488c: /usr/lib/openoffice.org/program/libfwk680li.so + 0xf4ffd
0x75c40b9: 0x25488c: /usr/lib/openoffice.org/program/libfwk680li.so + 0xf60b9
0x7524ca2: 0x25488c: /usr/lib/openoffice.org/program/libfwk680li.so + 0x56ca2
0x67fce12: 0x37a7e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0xa7e12
0x69086b8: 0x37a7e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1b36b8
0x6908f83: 0x37a7e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1b3f83
(SfxDispatcher::Execute(unsigned short, unsigned short, unsigned short,
SfxItemSet const&) + 0x109)
0x6909025: 0x37a7e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1b4025
(SfxDispatcher::Execute(unsigned short, unsigned short, SfxItemSet const&) + 0x29)
0x67fb4d7: 0x37a7e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0xa64d7
0x69086b8: 0x37a7e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1b36b8
0x6908a06: 0x37a7e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1b3a06
0x6924b4f: 0x37a7e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1cfb4f
0x6924b05: 0x37a7e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1cfb05
0x627d4ac: 0x37e324: /usr/lib/openoffice.org/program/libvcl680li.so + 0x20b4ac
0xecb38a: 0x7859c: /usr/lib/openoffice.org/program/libvclplug_gen680li.so +
0x4538a (SalDisplay::DispatchInternalEvent() + 0x96)
0xe05a52: 0x4b950: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so + 0x11a52
0x70d181: 0xe0108: /lib/libglib-2.0.so.0 + 0x35181
0x70f098: 0xe0108: /lib/libglib-2.0.so.0 + 0x37098 (g_main_context_dispatch + 0x1e8)
0x712743: 0xe0108: /lib/libglib-2.0.so.0 + 0x3a743
0x712901: 0xe0108: /lib/libglib-2.0.so.0 + 0x3a901 (g_main_context_iteration + 0x71)
0xe05827: 0x4b950: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so + 0x11827
0xed18b9: 0x7859c: /usr/lib/openoffice.org/program/libvclplug_gen680li.so +
0x4b8b9 (X11SalInstance::Yield(bool, bool) + 0x2f)
0x610acb9: 0x37e324: /usr/lib/openoffice.org/program/libvcl680li.so + 0x98cb9
(Application::Yield(bool) + 0x57)
0x610ad07: 0x37e324: /usr/lib/openoffice.org/program/libvcl680li.so + 0x98d07
(Application::Execute() + 0x2b)
0x5b96933: 0x77340: /usr/lib/openoffice.org/program/libsoffice.so + 0x2f933
(desktop::Desktop::Main() + 0x1a0b)
0x610e2c2: 0x37e324: /usr/lib/openoffice.org/program/libvcl680li.so + 0x9c2c2
0x610e45e: 0x37e324: /usr/lib/openoffice.org/program/libvcl680li.so + 0x9c45e
(SVMain() + 0x2c)
0x5b8af01: 0x77340: /usr/lib/openoffice.org/program/libsoffice.so + 0x23f01
(main + 0xe5)
0x5025d6: 0x164d7c: /lib/libc.so.6 + 0x165d6 (__libc_start_main + 0xe6)
0x80484f1: 0x6dc: /usr/lib/openoffice.org/program/swriter.bin + 0x4f1 (main + 0x51)
...end stackreport details ...
...start sample ldd details ...
	linux-gate.so.1 =>  (0x00110000)
	libgtk-x11-2.0.so.0 => /usr/lib/libgtk-x11-2.0.so.0 (0xb7c01000)
	libgdk-x11-2.0.so.0 => /usr/lib/libgdk-x11-2.0.so.0 (0x00162000)
	libatk-1.0.so.0 => /usr/lib/libatk-1.0.so.0 (0x001f8000)
	libgdk_pixbuf-2.0.so.0 => /usr/lib/libgdk_pixbuf-2.0.so.0 (0x00215000)
	libpangocairo-1.0.so.0 => /usr/lib/libpangocairo-1.0.so.0 (0x00232000)
	libpango-1.0.so.0 => /usr/lib/libpango-1.0.so.0 (0x0023c000)
	libcairo.so.2 => /usr/lib/libcairo.so.2 (0x0027f000)
	libgmodule-2.0.so.0 => /lib/libgmodule-2.0.so.0 (0x002ee000)
	libdl.so.2 => /lib/libdl.so.2 (0x002f2000)
	libgthread-2.0.so.0 => /lib/libgthread-2.0.so.0 (0x002f7000)
	librt.so.1 => /lib/librt.so.1 (0x002fc000)
	libdbus-glib-1.so.2 => /usr/lib/libdbus-glib-1.so.2 (0x00306000)
	libdbus-1.so.3 => /lib/libdbus-1.so.3 (0x00324000)
	libgobject-2.0.so.0 => /lib/libgobject-2.0.so.0 (0x00365000)
	libglib-2.0.so.0 => /lib/libglib-2.0.so.0 (0x003a5000)
	libvclplug_gen680li.so =>
/usr/lib/openoffice.org/program/libvclplug_gen680li.so (0x004ea000)
	libvcl680li.so => /usr/lib/openoffice.org/program/libvcl680li.so (0xb7878000)
	libpsp680li.so => /usr/lib/openoffice.org/program/libpsp680li.so (0xb7797000)
	libsot680li.so => /usr/lib/openoffice.org/program/libsot680li.so (0x00569000)
	libutl680li.so => /usr/lib/openoffice.org/program/libutl680li.so (0xb7711000)
	libtl680li.so => /usr/lib/openoffice.org/program/libtl680li.so (0xb766e000)
	libcomphelp4gcc3.so => /usr/lib/openoffice.org/program/libcomphelp4gcc3.so
(0xb7570000)
	libucbhelper4gcc3.so => /usr/lib/openoffice.org/program/libucbhelper4gcc3.so
(0xb7505000)
	libuno_cppuhelpergcc3.so.3 =>
/usr/lib/openoffice.org/program/libuno_cppuhelpergcc3.so.3 (0xb7470000)
	libuno_cppu.so.3 => /usr/lib/openoffice.org/program/libuno_cppu.so.3 (0x00486000)
	libvos3gcc3.so => /usr/lib/openoffice.org/program/libvos3gcc3.so (0x005c7000)
	libuno_sal.so.3 => /usr/lib/openoffice.org/program/libuno_sal.so.3 (0xb72a4000)
	libX11.so.6 => /usr/lib/libX11.so.6 (0xb71a3000)
	libXext.so.6 => /usr/lib/libXext.so.6 (0x004b4000)
	libpthread.so.0 => /lib/libpthread.so.0 (0x005ec000)
	libstlport_gcc.so => /usr/lib/openoffice.org/program/libstlport_gcc.so (0xb70d8000)
	libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0xb6fe6000)
	libm.so.6 => /lib/libm.so.6 (0xb6fbc000)
	libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x00605000)
	libc.so.6 => /lib/libc.so.6 (0xb6e53000)
	libXcomposite.so.1 => /usr/lib/libXcomposite.so.1 (0x004c4000)
	libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0x004c7000)
	libpng12.so.0 => /usr/lib/libpng12.so.0 (0xb6e2c000)
	libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0xb6dfc000)
	libXrender.so.1 => /usr/lib/libXrender.so.1 (0x00613000)
	libXinerama.so.1 => /usr/lib/libXinerama.so.1 (0x0061c000)
	libXi.so.6 => /usr/lib/libXi.so.6 (0xb6df3000)
	libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0xb6dec000)
	libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0xb6de1000)
	libpangoft2-1.0.so.0 => /usr/lib/libpangoft2-1.0.so.0 (0xb6db7000)
	libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0xb6d28000)
	libz.so.1 => /lib/libz.so.1 (0xb6d14000)
	libpixman-1.so.0 => /usr/lib/libpixman-1.so.0 (0xb6ce7000)
	libselinux.so.1 => /lib/libselinux.so.1 (0xb6cca000)
	/lib/ld-linux.so.2 (0x004cc000)
	libnsl.so.1 => /lib/libnsl.so.1 (0xb6cb0000)
	libcap.so.2 => /lib/libcap.so.2 (0xb6cac000)
	libSM.so.6 => /usr/lib/libSM.so.6 (0xb6ca3000)
	libICE.so.6 => /usr/lib/libICE.so.6 (0xb6c89000)
	libi18nisolang1gcc3.so =>
/usr/lib/openoffice.org/program/libi18nisolang1gcc3.so (0xb6c82000)
	libbasegfx680li.so => /usr/lib/openoffice.org/program/libbasegfx680li.so
(0xb6c2c000)
	libicuuc.so.38 => /usr/lib/libicuuc.so.38 (0xb6af8000)
	libicule.so.38 => /usr/lib/libicule.so.38 (0xb6ac1000)
	libjvmaccessgcc3.so.3 => /usr/lib/openoffice.org/program/libjvmaccessgcc3.so.3
(0xb6aba000)
	libjvmfwk.so.3 => /usr/lib/openoffice.org/program/libjvmfwk.so.3 (0xb6a9e000)
	libuno_salhelpergcc3.so.3 =>
/usr/lib/openoffice.org/program/libuno_salhelpergcc3.so.3 (0xb6a9a000)
	libcrypt.so.1 => /lib/libcrypt.so.1 (0xb6a68000)
	libxcb-xlib.so.0 => /usr/lib/libxcb-xlib.so.0 (0x0061f000)
	libxcb.so.1 => /usr/lib/libxcb.so.1 (0xb6a4b000)
	libXau.so.6 => /usr/lib/libXau.so.6 (0xb6a48000)
	libexpat.so.1 => /lib/libexpat.so.1 (0xb6a21000)
	libicudata.so.38 => /usr/lib/libicudata.so.38 (0xb5f4a000)
	libxml2.so.2 => /usr/lib/libxml2.so.2 (0xb5dfa000)
	libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0xb5df4000)
...end sample ldd details ...


Expected results:
Open file

Additional info:
Comment 1 antonio montagnani 2008-04-29 04:26:47 EDT
Created attachment 304079 [details]
file to be tested
Comment 2 Caolan McNamara 2008-04-30 11:18:53 EDT
Scheduled in fix for >= openoffice.org-2.4.0-12.9.fc9
Comment 3 Bug Zapper 2008-05-14 06:21:58 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 antonio montagnani 2008-05-30 09:10:54 EDT
I tried also with Openoffice from F10 but it crashes..
Comment 5 Caolan McNamara 2008-05-30 09:25:17 EDT
rats, patch not applied in rawhide version

This'll be fixed 
>= openoffice.org-2.4.0-12.9.fc9 and 
>= openoffice_org-3.0.0-0.0.14.1.fc10
Comment 6 Fedora Update System 2008-06-09 05:37:33 EDT
openoffice.org-2.4.1-17.3.fc9 has been submitted as an update for Fedora 9
Comment 7 Fedora Update System 2008-06-09 23:14:49 EDT
openoffice.org-2.4.1-17.3.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openoffice.org'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-5143
Comment 8 antonio montagnani 2008-06-10 03:15:04 EDT
They are not in updates-testing repo at 7.15 UTC!!!! 
Comment 9 antonio montagnani 2008-06-10 18:19:43 EDT
I have tested it both in F9 and rawhide, and it seems to be solved!.Tnx a lot
Comment 10 Fedora Update System 2008-06-11 00:38:50 EDT
openoffice.org-2.4.1-17.3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 lihuang 2008-07-31 21:13:43 EDT
verified this bug on openoffice.org-calc-2.4.1-17.4.fc9

Note You need to log in before you can comment on or make changes to this bug.